package com.ss.android.ugc.aweme.services.publish;

import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.model.TextExtraStruct;
import java.util.List;

public interface IAVMentionEditText {
    static {
        Covode.recordClassIndex(105399);
    }

    void addHashTag(String str);

    boolean addMentionText(int i, String str, String str2, String str3, boolean z);

    void addTagBA(String str);

    List<TextExtraStruct> getStarAtlasExtraList();

    void removeHashTag();

    void removeTagBA(String str);

    void removeTcmOrder();

    void setStarAtlasMentionTextColor(int i);
}
